Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-8127215

Native libraries on Mac OS X need to have .dylib extension

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: P2
    • Resolution: Fixed
    • Affects Version/s: fx2.1
    • Fix Version/s: fx2.1
    • Component/s: javafx
    • Environment:

      Mac OS X 10.7, OpenJDK 7

      Description

      Native libraries used by Mac OS X for Java 7 need to have an extension of .dylib. They currently have an extension of jnilib. While that was okay in Java 6, for compatibility with the BSD port this was changed to dylib, since a jnilib and dylib are now identical.

      The macosx-port supported both jnilib and dylib, but the 7u4 release will only support dylib.

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              kcr Kevin Rushforth
              Reporter:
              skovatch Scott Kovatch (Inactive)
              Votes:
              0 Vote for this issue
              Watchers:
              5 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved:
                Imported: